import java.util.*;

class Raflebger
{
	public Vector terninger;  // Raflebaeger har en vektor af terninger

	public Raflebger(int antalTerninger)
	{
		terninger = new Vector();
		for (int i=0;i<antalTerninger;i++)
		{
			Terning t;
			t = new Terning();
			tilfj(t);
		}
	}

	public void tilfj(Terning t)       // Lg en terning i bgeret
	{
		terninger.addElement(t);
	}

	public void ryst()                  // Kast alle terningerne
	{
		for (int i=0;i<terninger.size();i++)
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			t.kast();
		}
	}

	public int sum()                    // Summen af alle terningers vrdier
	{
		int resultat;
		resultat=0;
		for (int i=0;i<terninger.size();i++)
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			resultat = resultat + t.vrdi;
		}
		return resultat;
	}

	public int antalDerViser(int vrdi) // Antal terninger med en bestemt vrdi
	{
		int resultat;
		resultat = 0;
		for (int i=0;i<terninger.size();i++)
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			if (t.vrdi==vrdi)
			{
				resultat = resultat + 1;
			}
		}
		return resultat;
	}

	public boolean femEns()
	{
		return nEns(5);
	}

	public boolean fireEns()
	{
		return nEns(4);
	}

	public boolean treEns()
	{
		return nEns(3);
	}

	public boolean toEns()
	{
		return nEns(3);
	}

	public boolean etPar()
	{
		return nEns(3);
	}

	public boolean nEns(int antalEns)
	{
		for (int vrdi=1; vrdi<=6; vrdi++)
		{
			if (antalDerViser(vrdi) == antalEns) return true;
		}
		return false;
	}

	public boolean hus()
	{
		return toEns() && treEns();
	}

	public boolean toPar()
	{
		int antalPar = 0;
		for (int vrdi=1; vrdi<=6; vrdi++)
		{
			if (antalDerViser(vrdi) == 2) antalPar++;
		}
		return antalPar==2;
	}

	public boolean storStraight()
	{
		for (int vrdi=2; vrdi<=6; vrdi++)
		{
			if (antalDerViser(vrdi) != 1) return false;
		}
		return true;
	}

	public boolean lilleStraight()
	{
		for (int vrdi=1; vrdi<=5; vrdi++)
		{
			if (antalDerViser(vrdi) != 1) return false;
		}
		return true;
	}

	public String beskrivelse()
	{
		if (femEns()) return "Fem ens";
		if (fireEns()) return"Fire ens";
		if (storStraight()) return"Stor straight";
		if (lilleStraight()) return"Lille straight";
		if (hus()) return"Hus";
		if (treEns()) return"Tre ens";
		if (toPar()) return"To par";
		if (etPar()) return"Et par";
		return "Ingenting";
	}

	public String toString()
	{
		return terninger.toString() + " " + beskrivelse();
	}
}


public class Opg_4_5_2__3
{
	static public void main(String[] args) {

		Raflebger bger1 = new Raflebger(5);
		int antalSlag = 0;
		while(antalSlag < 10)
		{
			antalSlag++;
			bger1.ryst();
			System.out.println("Slag nr. " + antalSlag);
			System.out.println("Summen af jnene var " + bger1.sum());
			System.out.println(bger1.toString());
			System.out.println();
		}
	}
}
